### Enumeration

# FwupdPlugin SmbiosStructureType

since: 1.0

#### Declaration

    enum FwupdPlugin.SmbiosStructureType

#### Description

No description available.

Available since: 1.0

#### Members

`FU_SMBIOS_STRUCTURE_TYPE_BIOS`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_SMBIOS_STRUCTURE_TYPE_SYSTEM`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_SMBIOS_STRUCTURE_TYPE_BASEBOARD`

  Aka motherboard.

  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_SMBIOS_STRUCTURE_TYPE_CHASSIS`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0